Bug 210412 - [RHEL5 Beta2] anaconda: aborts failing filesystem formatting if / is multipath
[RHEL5 Beta2] anaconda: aborts failing filesystem formatting if / is multipath
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: python-pyblock (Show other bugs)
5.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
ReviewOct20
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-11 17:31 EDT by Kiyoshi Ueda
Modified: 2007-11-30 17:07 EST (History)
10 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-28 16:27:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen shot (35.00 KB, image/jpeg)
2006-10-11 17:31 EDT, Kiyoshi Ueda
no flags Details

  None (edit)
Description Kiyoshi Ueda 2006-10-11 17:31:00 EDT
Description of problem:
Anaconda aborts failing filesystem formatting if the root filesystem
is assigned on top of a multipath device.


Version-Release number of selected component:
anaconda-11.1.0.108-1 in rel-eng/RHEL5-Server-20061006.2


How reproducible:
Always


Steps to Reproduce:
 1. Start anaconda
 2. Assign root filesystem to a partition on top of a multipath device
 3. Start installation after all settings for the installation are done


Actual results:
Anaconda aborts.


Expected results:
Anaconda shouldn't abort and the multipath root installation
should complete with no error.


Additional info:
Multipath root installation was working in anaconda-11.1.0.99-1.

There are 4 multipath devices (mpath0/mpath1/mpath2/mpath3) in the
test environment, and below is the debug information.
It seems no partition maps for multipath devices when the format
process starts, though I assigned a partition on the mpath2 as
the root filesystem.
-------------------------------------------------------------------
Information at the confirminstall step.

sh-3.1# dmsetup table
mpath2: 0 139841536 multipath 0 0 1 1 round-robin 0 2 1 8:16 1000 8:80 1000
mpath1: 0 139841536 multipath 0 0 1 1 round-robin 0 2 1 8:32 1000 8:96 1000
mpath0: 0 139841536 multipath 0 0 1 1 round-robin 0 2 1 8:48 1000 8:112 1000
mpath3: 0 139841536 multipath 0 0 1 1 round-robin 0 2 1 8:0 1000 8:64 1000
sh-3.1#
sh-3.1# tail tmp/anaconda.log
19:02:19 DEBUG   : ignoring initscripts>kernel in whiteout
19:02:21 DEBUG   : ignoring coreutils>pam in whiteout
19:02:26 DEBUG   : ignoring hicolor-icon-theme>gtk2 in whiteout
19:02:26 DEBUG   : ignoring dbus>dbus-glib in whiteout
19:02:27 DEBUG   : ignoring aspell>aspell-en in whiteout
19:02:28 DEBUG   : ignoring libtermcap>bash in whiteout
19:02:29 DEBUG   : ignoring initscripts>sysklogd in whiteout
19:02:34 DEBUG   : ignoring ypbind>yp-tools in whiteout
19:02:34 DEBUG   : ignoring gnome-python2>gnome-python2-bonobo in whiteout
19:02:45 INFO    : moving (1) to step confirminstall
sh-3.1#


Information after pushed the "Next" button at the confirminstall step.

sh-3.1# Exception exceptions.KeyError: 'mpath3' in <bound method
MultiPath.__del__ of <block.device.MultiPath instance at 0x6000000001286a28>>
ignored
Exception exceptions.KeyError: 'mpath2' in <bound method MultiPath.__del__ of
<block.device.MultiPath instance at 0x600000000126cc20>> ignored
Exception exceptions.KeyError: 'mpath0' in <bound method MultiPath.__del__ of
<block.device.MultiPath instance at 0x60000000012606c8>> ignored
Exception exceptions.KeyError: 'mpath1' in <bound method MultiPath.__del__ of
<block.device.MultiPath instance at 0x600000000126c8c0>> ignored
sh-3.1#
sh-3.1# dmsetup table
mpath2: 0 139841536 multipath 0 0 1 1 round-robin 0 2 1 8:16 1000 8:80 1000
mpath1: 0 139841536 multipath 0 0 1 1 round-robin 0 2 1 8:32 1000 8:96 1000
mpath0: 0 139841536 multipath 0 0 1 1 round-robin 0 2 1 8:48 1000 8:112 1000
mpath3: 0 139841536 multipath 0 0 1 1 round-robin 0 2 1 8:0 1000 8:64 1000
sh-3.1#
sh-3.1# less tmp/anaconda.log
.....
19:02:45 INFO    : moving (1) to step confirminstall
19:03:15 INFO    : moving (1) to step install
19:03:15 INFO    : moving (1) to step enablefilesystems
19:03:19 DEBUG   : stopping all mpaths
19:03:19 DEBUG   : stopping mpath <block.device.MultiPath instance at
0x600000000126c8c0>
19:03:19 DEBUG   : removing mapper/mpath1 from isys cache
19:03:19 DEBUG   : adding mpath1 to isys cache
19:03:19 DEBUG   : adding mpath1 to isys cache
19:03:19 DEBUG   : removing <block.device.MultiPath instance at
0x600000000126c8c0> from dm cache
19:03:19 DEBUG   : stopping mpath <block.device.MultiPath instance at
0x60000000012606c8>
19:03:19 DEBUG   : removing mapper/mpath0 from isys cache
19:03:19 DEBUG   : adding mpath0 to isys cache
19:03:19 DEBUG   : adding mpath0 to isys cache
19:03:19 DEBUG   : removing <block.device.MultiPath instance at
0x60000000012606c8> from dm cache
19:03:19 DEBUG   : stopping mpath <block.device.MultiPath instance at
0x600000000126cc20>
19:03:19 DEBUG   : removing mapper/mpath2 from isys cache
19:03:19 DEBUG   : adding mpath2 to isys cache
19:03:19 DEBUG   : adding mpath2 to isys cache
19:03:19 DEBUG   : removing <block.device.MultiPath instance at
0x600000000126cc20> from dm cache
19:03:19 DEBUG   : stopping mpath <block.device.MultiPath instance at
0x6000000001286a28>
19:03:19 DEBUG   : removing mapper/mpath3 from isys cache
19:03:19 DEBUG   : adding mpath3 to isys cache
19:03:19 DEBUG   : adding mpath3 to isys cache
19:03:19 DEBUG   : removing <block.device.MultiPath instance at
0x6000000001286a28> from dm cache
19:03:19 DEBUG   : starting mpaths
19:03:19 DEBUG   : self.driveList(): ['sda', 'sdb', 'sdc', 'sdd', 'sde', 'sdf',
'sdg', 'sdh', 'sdi', 'sdj']
19:03:19 DEBUG   : DiskSet.skippedDisks: []
19:03:19 DEBUG   : DiskSet.skippedDisks: []
19:03:19 DEBUG   : starting all mpaths on drives ['sda', 'sdb', 'sdc', 'sdd',
'sde', 'sdf', 'sdg', 'sdh', 'sdi', 'sdj']
19:03:19 DEBUG   : scanning for multipath on drives ['sda', 'sdb', 'sdc', 'sdd',
'sde', 'sdf', 'sdg', 'sdh', 'sdi', 'sdj']
19:03:20 DEBUG   : mpaths: [<block.device.MultiPath instance at
0x60000000020be638>, <block.device.MultiPath instance at 0x6000000001265998>,
<block.device.MultiPath instance at 0x60000000020be5f0>, <block.device.MultiPath
instance at 0x6000000001286a28>]
19:03:20 DEBUG   : adding mapper/mpath1 to isys cache
19:03:20 DEBUG   : adding sdc to dm cache
19:03:20 DEBUG   : removing sdc from isys cache
19:03:20 DEBUG   : adding sdg to dm cache
19:03:20 DEBUG   : removing sdg from isys cache
19:03:20 DEBUG   : adding mapper/mpath0 to isys cache
19:03:20 DEBUG   : adding sdd to dm cache
19:03:20 DEBUG   : removing sdd from isys cache
19:03:20 DEBUG   : adding sdh to dm cache
19:03:20 DEBUG   : removing sdh from isys cache
19:03:20 DEBUG   : adding mapper/mpath2 to isys cache
19:03:20 DEBUG   : adding sdb to dm cache
19:03:20 DEBUG   : removing sdb from isys cache
19:03:20 DEBUG   : adding sdf to dm cache
19:03:20 DEBUG   : removing sdf from isys cache
19:03:20 DEBUG   : adding mapper/mpath3 to isys cache
19:03:20 DEBUG   : adding sda to dm cache
19:03:20 DEBUG   : removing sda from isys cache
19:03:20 DEBUG   : adding sde to dm cache
19:03:20 DEBUG   : removing sde from isys cache
19:03:20 DEBUG   : starting mpath <block.device.MultiPath instance at
0x60000000020be638> with mknod=True
19:03:20 DEBUG   : starting mpath <block.device.MultiPath instance at
0x6000000001265998> with mknod=True
19:03:20 DEBUG   : starting mpath <block.device.MultiPath instance at
0x60000000020be5f0> with mknod=True
19:03:20 DEBUG   : starting mpath <block.device.MultiPath instance at
0x6000000001286a28> with mknod=True
19:03:20 DEBUG   : done starting mpaths.  Drivelist: ['sdi', 'sdj',
'mapper/mpath0', 'mapper/mpath1', 'mapper/mpath2', 'mapper/mpath3']
19:03:23 INFO    : formatting / as ext3
19:03:23 INFO    : Format command:  ['/usr/sbin/mke2fs', '/tmp/mapper/mpath2p1',
'-i', '4096', '-j']
-------------------------------------------------------------------

A screen shot of the abort is attached.
Comment 1 Kiyoshi Ueda 2006-10-11 17:31:01 EDT
Created attachment 138283 [details]
Screen shot
Comment 2 Kiyoshi Ueda 2006-10-16 16:22:52 EDT
I tried the anaconda-11.1.2.2-1 in rel-eng/RHEL5-Server-20061013.2.
The result is same abort.
Comment 4 RHEL Product and Program Management 2006-10-18 16:50:22 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux release.  Product Management has requested further review
of this request by Red Hat Engineering.  This request is not yet committed for
inclusion in release.
Comment 5 Peter Jones 2006-10-20 16:08:38 EDT
This should be fixed with python-pyblock-0.25-1 .

Note You need to log in before you can comment on or make changes to this bug.